Package org.zkoss.stateless.sul

## Interface IAbsolutechildren<I extends IAnyGroup>

- All Superinterfaces:
    `IChildable<IAbsolutechildren<I>,​I>`, `IComponent<IAbsolutechildren<I>>`, `IHtmlBasedComponent<IAbsolutechildren<I>>`, `IXulElement<IAbsolutechildren<I>>`

      public interface IAbsolutechildren<I extends IAnyGroup>
      extends IXulElement<IAbsolutechildren<I>>, IChildable<IAbsolutechildren<I>,​I>

  Immutable `Absolutechildren` component

  A container component that can contain any other ZK component and can only be contained as direct child of Absolutelayout component. It can be absolutely positioned within Absolutelayout component by either setting "x" and "y" attribute or calling `withX(int)` and `withY(int)` methods.

  Author:
    katherine
  See Also:
    `Absolutechildren`, `IAbsolutelayout`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IAbsolutechildren.Builder<I extends IAnyGroup>` | Builds instances of type `IAbsolutechildren`.
    `static class` | `IAbsolutechildren.Updater` | Builds an updater of type `IAbsolutechildren` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IAbsolutechildren<IAnyGroup>` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `default int` | `getX()` | Returns the current `x` position within parent container component
    `default int` | `getY()` | Returns the current `y` position within parent container component
    `static <I extends IAnyGroup> IAbsolutechildren` | `of​(int x, int y)` | Returns the instance with the given x and y.
    `static <I extends IAnyGroup> IAbsolutechildren<I>` | `of​(int x, int y, I... children)` | Returns the instance with the given x, y, and any group children.
    `static <I extends IAnyGroup> IAbsolutechildren<I>` | `of​(int x, int y, java.lang.Iterable<? extends I> children)` | Returns the instance with the given x, y, and any group children.
    `static <I extends IAnyGroup> IAbsolutechildren` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `IAbsolutechildren<I>` | `withX​(int x)` | Returns a copy of `this` immutable component with the specified `x`.
    `IAbsolutechildren<I>` | `withY​(int y)` | Returns a copy of `this` immutable component with the specified `y`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IChildable

      `getChildren, withChildren, withChildren`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IAbsolutechildren<IAnyGroup> DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zul.layout.Absolutechildren"`

      Specified by:
        `getWidgetClass` in interface `IComponent<I extends IAnyGroup>`

    - #### getX

          default int getX()

      Returns the current `x` position within parent container component

      Default: `0`

    - #### withX

          IAbsolutechildren<I> withX​(int x)

      Returns a copy of `this` immutable component with the specified `x`.

      Sets current `x` position within parent container component.

      Parameters:
        `x` - The x position

        Default: `0`.

      Returns:
        A modified copy of the `this` object

    - #### getY

          default int getY()

      Returns the current `y` position within parent container component

      Default: `0`

    - #### withY

          IAbsolutechildren<I> withY​(int y)

      Returns a copy of `this` immutable component with the specified `y`.

      Sets current `y` position within parent container component.

      Parameters:
        `y` - The y position

        Default: `0`.

      Returns:
        A modified copy of the `this` object

    - #### of

          static <I extends IAnyGroup> IAbsolutechildren<I> of​(int x,
                                                               int y,
                                                               java.lang.Iterable<? extends I> children)

      Returns the instance with the given x, y, and any group children.
      Parameters:
        `x` - The x position
        `y` - The y position
        `children` - The children belong to any group
      See Also:
        `IAnyGroup`

    - #### of

          static <I extends IAnyGroup> IAbsolutechildren<I> of​(int x,
                                                               int y,
                                                               I... children)

      Returns the instance with the given x, y, and any group children.
      Parameters:
        `x` - The x position
        `y` - The y position
        `children` - The children belong to any group
      See Also:
        `IAnyGroup`

    - #### of

          static <I extends IAnyGroup> IAbsolutechildren of​(int x,
                                                            int y)

      Returns the instance with the given x and y.
      Parameters:
        `x` - The x position
        `y` - The y position

    - #### ofId

          static <I extends IAnyGroup> IAbsolutechildren ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component